Software Bisque

Take a virtual tour of the Software Bisque campus Watch Steve Bisque discuss the Paramount mount with S&T's Dennis Di Cicco Read the Paramount MYT Review Read about the Paramount Software Suite

1224 - THESKYX (ALL EDITIONS) BEHAVES ABNORMALLY

rated by 0 users
This post has 0 Replies | 2 Followers

Top 10 Contributor
Posts 27,809
Software Bisque Employee
Daniel R. Bisque Posted: 06-09-2009 10:40 AM | Locked

Software Bisque Knowledge Base Article - 1224

THESKYX (ALL EDITIONS) BEHAVES ABNORMALLY

ISSUE

Running TheSkyX results in the following abnormal behavior, including (but not limited to):

  • The moon's photograph disappears on the Sky Chart (randomly).
  • The Zoom tool on the Sky Chart disappears and reappears as TheSkyX's time changes.
  • The panoramic horizon disappears and reappears.
  • Sky background becomes black over time.
  • When the telescope is slewed to the Moon, the crosshairs and FOVI disappear when the Moon gets onto the displayed portion of the skychart, and the rotation tool will not appear when selected. (Slewing away from the Moon causes all of these to reappear.)
  • TheSkyX's Sky Chart is not drawn correctly (remnants of other overlying windows remain on the chart).
  • Object paths, such as asteroids, do not plot when the line option is selected.
  • Satellite paths do not appear at all when the "show satellites path" box is checked on the satellites menu. 

The issue below was incorrectly assigned to this support case:

  • Toolbars and stacked windows cannot be docked once they have been dragged off the main window.  (Resolution: toolbars cannot be "docked" unless there is sufficient "space" on TheSkyX's window.  To allow toolbars to be docked, make the toolbars smaller (Preferences > Toolbars > Toolbar Button Options), maximize TheSkyX's window and/or increase the resolution of the screen to provide more screen real estate.)

RESOLUTION

This issue has been resolved in TheSkyX version 10.1.4 and later (not yet released; no release date at this time).

TheSkyX is not compatible with laptop or desktop computers that use Intel graphics hardware and version OpenGL 1.4 and earlier.  If, after installing the latest video drivers from Intel does not resolve TheSkyX's abnormal behavior, then the computer is not capable of running TheSkyX. 

For desktop computers, purchasing and installing a later model graphics card (from ATI or NVIDIA) will allow TheSkyX to run normally.

Incompatible Intel Display Devices:

  • All Intel Video Chipset Families, including the Intel 915 GM, Intel 945GM, Intel GMA950.

Important Notes

TheSkyX Compatibility Test shows a "passed" message when running for a computer running Intel graphis hardware and OpenGL 1.4:

  1. When Software Bisque released TheSkyX Student Edition, TheSkyX Compatibility Test application was written to show a "passed" status for the absolute minimum version of OpenGL that SHOULD BE able to run TheSkyX. (That version should be OpenGL 1.3).
  2. The minimum published version of OpenGL that Software Bisque requires to run TheSkyX (all Editions) is OpenGL 1.5.
  3. Since TheSkyX Serious Astronomer Edition was released May 7, 2009, Software Bisque has learned that TheSkyX SAE is not compatible with Intel Graphics hardware that runs OpenGL 1.4 and earlier (despite what our engineers predicted, and contrary to what TheSkyX Compatibility test shows).

At this time:

  1. If your computer uses Intel Graphics hardware that runs any version of OpenGL earlier than 1.5, TheSkyX Compatibility Test application will incorrectly report that your hardware is compatible.
  2. If your computer uses Intel Graphics hardware that runs any version of OpenGL earlier than 1.5, TheSkyX will not run as expected because of OpenGL incompatibility with this graphics hardware.
  3. Software Bisque will update TheSkyX Compatibility Test application to reflect these new findings as soon as possible. 
  4. If your computer uses Intel graphics hardware, and OpenGL 1.5, the behavior should not persist.  Some users report otherwise.  Software Bisque is researching the reasons why the Intel graphics hardware with OpenGL 1.5 behave unlike other OpenGL 1.5 video driver implementations, and make a determination as to whether these 'conflicts' are resolvable via "TheSkyX OpenGL implementation" software workarounds or not.  That determination has yet to be made. 

Update (August 18, 2009) 12:50 PM

Software Bisque has purchased a computer that uses the Intel graphics display hardware and researching software workarounds to the above Intel OpenGL video driver issues.

Update (August 18, 2009) 2:10 PM

Software Bisque has modified TheSkyX to workaround the Intel/OpenGL issue.  The next update of TheSkyX Serious Astronomer Edition resolves some but not all of the Intel/OpenGL video driver conflict issues. 

APPLIES TO

TheSkyX Student Edition, TheSkyx Serious Astronomer Edition, all versions 

KEYWORDS

SBKB, Intel Graphics hardware, OpenGL 1.4.

Last Reviewed: October 8, 2010

Daniel R. Bisque

Software Bisque, Inc.

862 Brickyard Circle

Golden, Colorado 80403-8058

Office Hours: 8 a.m.-5 p.m. Monday-Friday GMT-7:00

Posting Etiquette

Page 1 of 1 (1 items) | RSS

   

© 2019 Software Bisque, Inc. 862 Brickyard Circle, Golden, CO 80403-8058 USA - phone: +1 303 278 4478 fax: +1 303 278 0045
Google+